package digital.laboratory.platform.reagent.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * (试剂耗材黑名单)
 *
 * @author Zhang Xiaolong created at  2023-03-10 14:25:06
 * @describe (试剂耗材黑名单) 实体类
 */
@Data
@TableName(value = "blacklist", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "(试剂耗材黑名单)")
public class Blacklist extends BaseEntity {

    /**
     * (试剂耗材ID)
     */
    @ApiModelProperty(value="(试剂耗材ID)")
    private String reagentConsumableId;

    /**
     * (符合性检查结果)
     */
    @ApiModelProperty(value="(符合性检查结果)")
    private Boolean resultsOfComplianceCheck;

    /**
     * (供应商ID)
     */
    @ApiModelProperty(value="(供应商ID)")
    private String supplierId;

    /**
     * blacklistId
     */
    @TableId(value = "blacklist_id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value="blacklistId")
    private String blacklistId;

    /**
     * complianceCheckId
     */
    @ApiModelProperty(value="complianceCheckId")
    private String complianceCheckId;






}
