package digital.laboratory.platform.reagent.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * (符合性检查记录表)
 *
 * @author Zhang Xiaolong created at  2023-03-10 14:25:04
 * @describe (符合性检查记录表) 实体类
 */
@Data
@TableName(value = "compliance_check", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "(符合性检查记录表)")
public class ComplianceCheck extends BaseEntity {

    /**
     * (一级审核意见)
     */
    @ApiModelProperty(value="(一级审核意见)")
    private String auditOpinionOfPrimary;

    /**
     * (编号)
     */
    @ApiModelProperty(value="(编号)")
    private String number;

    /**
     * (二级审核意见)
     */
    @ApiModelProperty(value="(二级审核意见)")
    private String auditOpinionOfSecondary;

    /**
     * (一级审核结果)
     */
    @ApiModelProperty(value="(一级审核结果)")
    private Boolean auditResultOfPrimary;

    /**
     * (二级审核结果)
     */
    @ApiModelProperty(value="(二级审核结果)")
    private Boolean auditResultOfSecondary;

    /**
     * (一级审核时间)
     */
    @ApiModelProperty(value="(一级审核时间)")
    private LocalDateTime auditTimeOfPrimary;

    /**
     * (二级审核时间)
     */
    @ApiModelProperty(value="(二级审核时间)")
    private LocalDateTime auditTimeOfSecondary;

    /**
     * (检查日期)
     */
    @ApiModelProperty(value="(检查日期)")
    private LocalDateTime dateOfInspection;

    /**
     * (检查结论)
     */
    @ApiModelProperty(value="(检查结论)")
    private String examinationConclusion;


    /**
     * (一级审核人ID)
     */
    @ApiModelProperty(value="(一级审核人ID)")
    private String primaryAuditorId;

    /**
     * (检查方案)
     */
    @ApiModelProperty(value="(检查方案)")
    private String inspectionScheme;

    /**
     * (状态)
     */
    @ApiModelProperty(value="(状态)")
    private Integer status;

    /**
     * (二级审核人ID)
     */
    @ApiModelProperty(value="(二级审核人ID)")
    private String secondaryAuditorId;

    /**
     * 品牌
     */
    @ApiModelProperty(value="品牌")
    private String brand;

    /**
     * (试剂耗材ID)
     */
    @ApiModelProperty(value="(试剂耗材ID)")
    private String reagentConsumableId;
    /**
     * (标准物质编号)
     */
    @ApiModelProperty(value="(标准物质编号)")
    private String reagentConsumableNumber;

    /**
     * (规格型号)
     */
    @ApiModelProperty(value="(规格型号)")
    private String specificationAndModel;
    /**
     * (不合格项目)
     */
    @ApiModelProperty(value="(不合格项目)")
    private String nonconformingItem;

    /**
     * complianceCheckId
     */
    @TableId(value = "compliance_check_id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value="complianceCheckId")
    private String complianceCheckId;






}
