package digital.laboratory.platform.reagent.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * (标准物质期间核查实施情况及结果记录表)
 *
 * @author Zhang Xiaolong created at  2023-03-10 14:25:06
 * @describe (标准物质期间核查实施情况及结果记录表) 实体类
 */
@Data
@TableName(value = "period_verification_implementation", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "(标准物质期间核查实施情况及结果记录表)")
public class PeriodVerificationImplementation extends BaseEntity {

    /**
     * (技术负责人审核意见)
     */
    @ApiModelProperty(value="(技术负责人审核意见)")
    private String auditOpinionOfTechnical;

    /**
     * (技术负责人审核结果)
     */
    @ApiModelProperty(value="(技术负责人审核结果)")
    private Boolean auditResultOfTechnical;

    /**
     * (技术负责人审核时间)
     */
    @ApiModelProperty(value="(技术负责人审核时间)")
    private LocalDateTime auditTimeOfTechnical;

    /**
     * (不满足应用要求原因分析)
     */
    @ApiModelProperty(value="(不满足应用要求原因分析)")
    private String causeOfDissatisfaction;

    /**
     * (核查时间)
     */
    @ApiModelProperty(value="(核查时间)")
    private LocalDateTime checkingTime;

    /**
     * (提交状态)
     */
    @ApiModelProperty(value="(提交状态)")
    private Integer commitStatus;

    /**
     * (偏差/不确定度)
     */
    @ApiModelProperty(value="(偏差/不确定度)")
    private String deviationAndUncertainty;

    /**
     * (核查实施情况及结果)
     */
    @ApiModelProperty(value="(核查实施情况及结果)")
    private String implementationAndResults;

    /**
     * (核查人员ID)
     */
    @ApiModelProperty(value="(核查人员ID)")
    private String inspectorId;

    /**
     * (编号)
     */
    @ApiModelProperty(value="(编号)")
    private String number;


    /**
     * (标准物质编号)
     */
    @ApiModelProperty(value="(标准物质编号)")
    private String referenceMaterialNumber;

    /**
     * (核查人员意见)
     */
    @ApiModelProperty(value="(核查人员意见)")
    private boolean opinionOfInspector;

    /**
     * (标准物质ID)
     */
    @ApiModelProperty(value="(标准物质ID)")
    private String referenceMaterialId;

    /**
     * (备注)
     */
    @ApiModelProperty(value="(备注)")
    private String remarks;

    /**
     * (标准值/纯度)
     */
    @ApiModelProperty(value="(标准值/纯度)")
    private String standardValueAndPurity;

    /**
     * (技术负责人ID)
     */
    @ApiModelProperty(value="(技术负责人ID)")
    private String technicalDirectorId;

    /**
     * (核查方法)
     */
    @ApiModelProperty(value="(核查方法)")
    private String verificationMethod;


    /**
     * periodVerificationImplementationId
     */
    @TableId(value = "period_verification_implementation_id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value="periodVerificationImplementationId")
    private String periodVerificationImplementationId;

    /**
     * periodVerificationPlanId
     */
    @ApiModelProperty(value="periodVerificationPlanId")
    private String periodVerificationPlanId;


}
