package digital.laboratory.platform.reagent.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDateTime;

import io.swagger.models.auth.In;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * (采购内容)
 *
 * @author Zhang Xiaolong created at  2023-03-10 14:25:06
 * @describe (采购内容) 实体类
 */
@Data
@TableName(value = "procurement_content", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "(采购内容)")
public class ProcurementContent extends BaseEntity {

    /**
     * (采购计划id)
     */
    @ApiModelProperty(value="(采购计划id)")
    private String purchasingPlanId;

    /**
     * (数量)
     */
    @ApiModelProperty(value="(数量)")
    private Integer quantityPurchased;

    /**
     * (试剂耗材ID)
     */
    @ApiModelProperty(value="(试剂耗材ID)")
    private String reagentConsumableId;

    /**
     * (小计)
     */
    @ApiModelProperty(value="(小计)")
    private Double subtotal;

    @ApiModelProperty(value="申请数量)")

    private Integer numberOfApplications;

    /**
     * (单价)
     */
    @ApiModelProperty(value="(单价)")
    private Double unitPrice;

    /**
     * (集中采购申请明细ID)
     */
    @ApiModelProperty(value="(集中采购申请明细ID)")
    private String  detailsOfCentralizedId;

    /**
     * (换货试剂耗材ID)
     */
    @ApiModelProperty(value="(换货试剂耗材ID)")
    private String replacementReagentConsumableId;
    /**
     * (换货数量)
     */
    @ApiModelProperty(value="(换货数量)")
    private Integer replacementQuantity;
    /**
     * (换货单价)
     */
    @ApiModelProperty(value="(换货单价)")
    private Double replacementPrice;





    /**
     * procurementContentId
     */
    @TableId(value = "procurement_content_id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value="procurementContentId")
    private String procurementContentId;


}
