package digital.laboratory.platform.reagent.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * (采购清单明细)
 *
 * @author Zhang Xiaolong created at  2023-03-10 14:25:07
 * @describe (采购清单明细) 实体类
 */
@Data
@TableName(value = "purchase_list_details", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "(采购清单明细)")
public class PurchaseListDetails extends BaseEntity {

    /**
     * (采购清单ID)·
     */
    @ApiModelProperty(value="(采购清单ID)·")
    private String purchaseListId;

    /**
     * (采购量)
     */
    @ApiModelProperty(value="(采购量)")
    private Integer purchaseQuantity;

    /**
     * (试剂耗材ID)
     */
    @ApiModelProperty(value="(试剂耗材ID)")
    private String reagentConsumableId;

    /**
     * (备注)
     */
    @ApiModelProperty(value="(备注)")
    private String remarks;

    /**
     * (供应商ID)
     */
    @ApiModelProperty(value="(供应商ID)")
    private String supplierId;





    /**
     * purchaselistDetailsId
     */
    @TableId(value = "purchaselist_details_id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value="purchaselistDetailsId")
    private String purchaselistDetailsId;


}
