package digital.laboratory.platform.reagent.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 
 *
 * @author Zhang Xiaolong created at  2023-03-23 16:38:02
 * @describe  实体类
 */
@Data
@TableName(value = "reference_material", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "")
public class ReferenceMaterial extends BaseEntity {

    /**
     * number
     */
    @ApiModelProperty(value="标准物质编号")
    private String number;
/**
     * number
     */
    @ApiModelProperty(value="状态(0为可以使用，-1为停用)")
    private Integer status;

    /**
     * reagentConsumableId
     */
    @ApiModelProperty(value="试剂耗材Id")
    private String reagentConsumableId;

    /**
     * batchDetailsId
     */
    @ApiModelProperty(value="批次明细Id")
    private String batchDetailsId;

    /**
     * id
     */
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value="id")
    private String id;


}
