package digital.laboratory.platform.reagent.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 
 *
 * @author Zhang Xiaolong created at  2023-03-22 16:03:35
 * @describe  实体类
 */
@Data
@TableName(value = "storage_room_form", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "")
public class StorageRoomForm extends BaseEntity {

    /**
     * type
     */
    @ApiModelProperty(value="type")
    private String type;

    /**
     * temperature
     */
    @ApiModelProperty(value="temperature")
    private String temperature;

    /**
     * 楼层
     */
    @ApiModelProperty(value="楼层")
    private String floor;

    /**
     * humidity
     */
    @ApiModelProperty(value="humidity")
    private String humidity;

    /**
     * picture
     */
    @ApiModelProperty(value="picture")
    private String picture;

    /**
     * name
     */
    @ApiModelProperty(value="name")
    private String name;

    /**
     * storageRoomFormId
     */
    @TableId(value = "storage_room_form_id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value="storageRoomFormId")
    private String storageRoomFormId;


}
